
#define LED_PIN 7

// This is another define that tells us which pin the switch is attached to
#define SWITCH_PIN 2 

// This int variable will count how many seconds the switch has been pressed for
int switch_counter = 0; 

void setup()
{
    pinMode(LED_PIN, OUTPUT); 
    
    // INPUT_PULLUP turns on a pullup resistor.
    // You can Google "pullup resistor" to learn what they do
    pinMode(SWITCH_PIN, INPUT_PULLUP);
    
    Serial.begin(9600); 
}

void loop()
{
    /* digitalRead returns 1 (which is HIGH) if there is 5V on 
    SWITCH_PIN or 0 (which is LOW) if there is 0V. 
    So switch_pressed will either be 1 or 0 after this line.
    */
    int switch_pressed = digitalRead(SWITCH_PIN); 
    
    // The switch has been pressed is switch_pressed is 0
    if (switch_pressed == 0)                                
    {                                                       
        digitalWrite(LED_PIN, HIGH);                        
        /* Because we are delaying for 1 second, each 
        time this line runs the switch has been pressed for an extra second */
        switch_counter += 1; 
        Serial.print("The switch has been pressed for ");   
        Serial.print(switch_counter);                       
        Serial.println(" seconds.");                          
    }                                                       
    else                                                    
    {                                                       
        digitalWrite(LED_PIN, LOW);                         
        switch_counter = 0; // The switch counter is reset to zero whenever the switch is not pressed
    }                                                       
    
    delay(1000);
}

